
-module(procs).
-compile([export_all]).

mod() -> io:format("Module name: ~p~n", [?MODULE]).

aproc() -> io:format("I'm a process with id ~p~n", [self()]).

loop() -> loop().


run() -> spawn(fun() -> aproc() end),
         spawn(procs, aproc, []),
         spawn(?MODULE, aproc, []),
	 okay.

call(Arg1, Arg2) -> io:format("~p ~p~n", [Arg1, Arg2]). 

start() -> 
   Pid = spawn(?MODULE, call, ["hello", "process"]), 
   io:fwrite("~p",[Pid]).
