
-module (send_recv).
-compile([export_all]).


serve() -> receive
           Request ->
             io:format("Handling: ~s~n", [Request]),
             serve()
           end.

math() -> receive
          {add, X, Y} ->
            io:format("~p + ~p = ~p~n", [X,Y,X+Y]),
            math();
          {sub, X, Y} ->
            io:format("~p - ~p = ~p~n", [X,Y,X-Y]),
            math()
          end.

make_request(ServerId, Msg) -> ServerId ! Msg.

run(0) -> okay;
run(X) when  X > 0 ->
    Pid = spawn(?MODULE, serve, []),
    %timer:sleep(1000),
    make_request(Pid, request1),
    %timer:sleep(1000),
    make_request(Pid, request2),

    timer:sleep(1000),

    Pid2 = spawn(?MODULE, math, []),
    Pid2 ! {add, 1, 2},
    Pid2 ! {sub, 3, 2},

    timer:sleep(1000),

    %okay,
    run(X-1).


